
/* ===purpose=== */

/**********************************************************************************************************************************/
/**********************************  GALERKIN BEM for 3D LAPLACE EQUATION: SINGULAR FORMULATION  **********************************/
/************************************  3-NODED TRIANGULAR ELEMENT: SEMI-ANALYTIC INTEGRATION  *************************************/
/*****************************************************  Functions prototypes  *****************************************************/
/**********************************************************************************************************************************/

/* Developer: Sylvain Nintcheu Fata */
/* Version:   V.1.1                 */
/* Released:  Jun 14, 2012          */


void gbem_lap_input(const char *InfParams,const char *InfData); /* Read input data and parameters */
void gbem_lap_init(void);  /* Initialize arrays and parameters */
void gbem_lap_assem(void); /* Assemble h and g influence matrices */
void gbem_lap_lrhs(void);  /* Form the left- and right-hand sides of the discretized BIE */
void gbem_lap_solv(void);  /* Solve the Discretized BIE */

